VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX:
[legend]

## Public Member Functions

| IndirectCommandsLayoutCreateInfoNVX (PipelineBindPoint pipelineBindPoint_=PipelineBindPoint::eGraphics, IndirectCommandsLayoutUsageFlagsNVX flags_=IndirectCommandsLayoutUsageFlagsNVX(), uint32_t tokenCount_=0, const IndirectCommandsLayoutTokenNVX *pTokens_=nullptr)
| IndirectCommandsLayoutCreateInfoNVX (VkIndirectCommandsLayoutCreateInfoNVX const &rhs)
IndirectCommandsLayoutCreateInfoNVX & | operator= (VkIndirectCommandsLayoutCreateInfoNVX const &rhs)
IndirectCommandsLayoutCreateInfoNVX & | setPNext (const void *pNext_)
IndirectCommandsLayoutCreateInfoNVX & | setPipelineBindPoint (PipelineBindPoint pipelineBindPoint_)
IndirectCommandsLayoutCreateInfoNVX & | setFlags (IndirectCommandsLayoutUsageFlagsNVX flags_)
IndirectCommandsLayoutCreateInfoNVX & | setTokenCount (uint32_t tokenCount_)
IndirectCommandsLayoutCreateInfoNVX & | setPTokens (const IndirectCommandsLayoutTokenNVX *pTokens_)
| operator VkIndirectCommandsLayoutCreateInfoNVX const & () const
| operator VkIndirectCommandsLayoutCreateInfoNVX & ()
bool | operator== (IndirectCommandsLayoutCreateInfoNVX const &rhs) const
bool | operator!= (IndirectCommandsLayoutCreateInfoNVX const &rhs) const

## Data Fields

const void * | pNext = nullptr
PipelineBindPoint | pipelineBindPoint
IndirectCommandsLayoutUsageFlagsNVX | flags
uint32_t | tokenCount
const IndirectCommandsLayoutTokenNVX * | pTokens

## Private Attributes

StructureType | sType = StructureType::eIndirectCommandsLayoutCreateInfoNVX

## Detailed Description

Definition at line 30727 of file vulkan.hpp.

## Constructor & Destructor Documentation

## IndirectCommandsLayoutCreateInfoNVX() [1/2]

VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::IndirectCommandsLayoutCreateInfoNVX | ( | PipelineBindPoint | pipelineBindPoint_ = `PipelineBindPoint::eGraphics`,
|  | IndirectCommandsLayoutUsageFlagsNVX | flags_ = `IndirectCommandsLayoutUsageFlagsNVX()`,
|  | uint32_t | tokenCount_ = `0`,
|  | const IndirectCommandsLayoutTokenNVX * | pTokens_ = `nullptr`
| ) |  |

inline

Definition at line 30729 of file vulkan.hpp.

: pipelineBindPoint( pipelineBindPoint_ )
, flags( flags_ )
, tokenCount( tokenCount_ )
, pTokens( pTokens_ )
{
}

## IndirectCommandsLayoutCreateInfoNVX() [2/2]

VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::IndirectCommandsLayoutCreateInfoNVX | ( | VkIndirectCommandsLayoutCreateInfoNVX const & | rhs | ) |

inline

Definition at line 30740 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( IndirectCommandsLayoutCreateInfoNVX ) );
}

References memcpy.

## Member Function Documentation

## operator VkIndirectCommandsLayoutCreateInfoNVX &()

VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::operator VkIndirectCommandsLayoutCreateInfoNVX & | ( |  | ) |

inline

Definition at line 30785 of file vulkan.hpp.

{
return *reinterpret_cast<VkIndirectCommandsLayoutCreateInfoNVX*>(this);
}

## operator VkIndirectCommandsLayoutCreateInfoNVX const &()

VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::operator VkIndirectCommandsLayoutCreateInfoNVX const & | ( |  | ) | const

inline

Definition at line 30780 of file vulkan.hpp.

{
return *reinterpret_cast<const VkIndirectCommandsLayoutCreateInfoNVX*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::operator!= | ( | IndirectCommandsLayoutCreateInfoNVX const & | rhs | ) | const

inline

Definition at line 30800 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

IndirectCommandsLayoutCreateInfoNVX& VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::operator= | ( | VkIndirectCommandsLayoutCreateInfoNVX const & | rhs | ) |

inline

Definition at line 30745 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( IndirectCommandsLayoutCreateInfoNVX ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::operator== | ( | IndirectCommandsLayoutCreateInfoNVX const & | rhs | ) | const

inline

Definition at line 30790 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( pipelineBindPoint == rhs.pipelineBindPoint )
&& ( flags == rhs.flags )
&& ( tokenCount == rhs.tokenCount )
&& ( pTokens == rhs.pTokens );
}

References flags, pipelineBindPoint, pNext, pTokens, sType, and tokenCount.

Referenced by operator!=().

## setFlags()

IndirectCommandsLayoutCreateInfoNVX& VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::setFlags | ( | IndirectCommandsLayoutUsageFlagsNVX | flags_ | ) |

inline

Definition at line 30762 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPipelineBindPoint()

IndirectCommandsLayoutCreateInfoNVX& VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::setPipelineBindPoint | ( | PipelineBindPoint | pipelineBindPoint_ | ) |

inline

Definition at line 30756 of file vulkan.hpp.

{
pipelineBindPoint = pipelineBindPoint_;
return *this;
}

References pipelineBindPoint.

## setPNext()

IndirectCommandsLayoutCreateInfoNVX& VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 30750 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setPTokens()

IndirectCommandsLayoutCreateInfoNVX& VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::setPTokens | ( | const IndirectCommandsLayoutTokenNVX * | pTokens_ | ) |

inline

Definition at line 30774 of file vulkan.hpp.

{
pTokens = pTokens_;
return *this;
}

References pTokens.

## setTokenCount()

IndirectCommandsLayoutCreateInfoNVX& VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::setTokenCount | ( | uint32_t | tokenCount_ | ) |

inline

Definition at line 30768 of file vulkan.hpp.

{
tokenCount = tokenCount_;
return *this;
}

References tokenCount.

## Field Documentation

## flags

IndirectCommandsLayoutUsageFlagsNVX VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::flags

Definition at line 30811 of file vulkan.hpp.

Referenced by operator==().

## pipelineBindPoint

PipelineBindPoint VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::pipelineBindPoint

Definition at line 30810 of file vulkan.hpp.

Referenced by operator==(), and setPipelineBindPoint().

## pNext

const void* VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::pNext = nullptr

Definition at line 30809 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## pTokens

const IndirectCommandsLayoutTokenNVX* VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::pTokens

Definition at line 30813 of file vulkan.hpp.

Referenced by operator==(), and setPTokens().

## sType

StructureType VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::sType = StructureType::eIndirectCommandsLayoutCreateInfoNVX

private

Definition at line 30806 of file vulkan.hpp.

Referenced by operator==().

## tokenCount

uint32_t VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::tokenCount

Definition at line 30812 of file vulkan.hpp.

Referenced by operator==(), and setTokenCount().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::flags
IndirectCommandsLayoutUsageFlagsNVX flags
Definition: vulkan.hpp:30811
VkIndirectCommandsLayoutCreateInfoNVX
Definition: vulkan_core.h:6837
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::pTokens
const IndirectCommandsLayoutTokenNVX * pTokens
Definition: vulkan.hpp:30813
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::sType
StructureType sType
Definition: vulkan.hpp:30806
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::pipelineBindPoint
PipelineBindPoint pipelineBindPoint
Definition: vulkan.hpp:30810
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::tokenCount
uint32_t tokenCount
Definition: vulkan.hpp:30812
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::operator==
bool operator==(IndirectCommandsLayoutCreateInfoNVX const &rhs) const
Definition: vulkan.hpp:30790
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::pNext
const void * pNext
Definition: vulkan.hpp:30809
VULKAN_HPP_NAMESPACE::IndirectCommandsLayoutCreateInfoNVX::IndirectCommandsLayoutCreateInfoNVX
IndirectCommandsLayoutCreateInfoNVX(PipelineBindPoint pipelineBindPoint_=PipelineBindPoint::eGraphics, IndirectCommandsLayoutUsageFlagsNVX flags_=IndirectCommandsLayoutUsageFlagsNVX(), uint32_t tokenCount_=0, const IndirectCommandsLayoutTokenNVX *pTokens_=nullptr)
Definition: vulkan.hpp:30729